My Students

Are you experiencing problems with the Applicant Inquiry Tool?   Show this message

In order to view the SUNY Application Manager you must have Adobe Flash Player version 10.2 or greater installed in your web browser. Click the icon below to start the installion process.